Subject: bug#867 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; isearch string not quoted in M-s h r)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#867: 23.0.60; isearch string not quoted in M-s h r

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
867: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=867
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Sep  2 17:03:15 2008
To: "Lennart Borgman \(gmail\)" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; isearch string not quoted in M-s h r
From: Chong Yidong <[email-masked]>
Date: Tue, 02 Sep 2008 20:05:35 -0400

"Lennart Borgman (gmail)" <[email-masked]> writes:

> Chong Yidong wrote:
>>> If you do for example
>>>
>>>   C-s some. M-s h r
>>>
>>> then the search string from isearch is not quoted when
>>> highlight-regexp gets it which means it will match for example
>>> "something".
>> 
>> I don't understand.  How is this a bug?
>
> C-s and then "some." just matches the string "some.". If it is
> converted to a regexp without quoting it will also match "somet" and
> that was not what the user wanted.
>
> I think this worked before. Something went wrong when you (was it
> you?)  took care of the case insensitive problem.

OK, now I understand.  I've checked in a fix.  Thanks for spotting this.

>From [email-masked] Tue Sep  2 11:57:43 2008
Date: Tue, 02 Sep 2008 20:57:30 +0200
From: "Lennart Borgman (gmail)" <[email-masked]>
To: [email-masked]
Subject: 23.0.60; isearch string not quoted in M-s h r

If you do for example

  C-s some. M-s h r

then the search string from isearch is not quoted when highlight-regexp
gets it which means it will match for example "something".

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-02
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'